<?php
#----------------------------------------------------------#
# 試合登録
#----------------------------------------------------------#
function team_regR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$TM=read_data('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#--------------------------------------#
if($PL[7]){
	$html1='解除';
	$html2='<b>現在試合登録しています。</b>';
}else{
	$html1='確認';
	$html2='<b>現在試合登録していません。</b>';
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#
$disp.=head();
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>試合登録</b><blockquote><form method=POST action="$SET[path_index]">
$html2<br>
<input type=submit value="試合登録$html1">
<input type=hidden name=r value="team_reg_set"></form>
</blockquote>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# 試合登録セット
#----------------------------------------------------------#
function team_reg_setR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_dataL('player',$_COOKIE[id]);
$TM=read_data('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#--------------------------------------#
if($PL[7]){
	$html_msg="試合登録を解除しました";
	$PL[7]=0;
	update('player',$_COOKIE[id],$PL);
}else{
	#チェック開始
	$D[check]=1;
	#登録人数確認
	$D[pl_reg]=$SET[pl_reg];#登録人数
	$sql=mysql_query("SELECT * FROM player_card WHERE player_id='$_COOKIE[id]'");
	while ($CD=mysql_fetch_assoc($sql)){
		if($CD[38]){
			$D[pl_reg]--;
		}
	}
	if($D[pl_reg]<0){$D[check]=2;}
	#野手先発登録確認
	$TM_DF=explode('!',$PL[23]);
	$D[check_btn]=0;
	foreach($TM_DF as $key){
		if(data_check('player_card','id',$key)){$D[check_btn]++;}
	}
	if($D[check_btn]<8){$D[check]=3;}
	#打順設定チェック
	$TM_BT=explode('!',$PL[24]);
	$D[check_btar]=array();
	foreach($TM_BT as $no){
		$D[check_btar][$no]=1;
	}
	for($i=1;$i<=9;$i++){
		if(!$D[check_btar][$i]){
			$D[check]=4;
			break;
		}
	}
	#ローテーション設定チェック
	$TM_ROT=explode('!',$PL[25]);
	if(!data_check('player_card','id',$TM_ROT[0])){$D[check]=5;}
	#チェック終了
	if($D[check]==1){#問題なし
		$TIME=read_dataL('time','time');
		if($PL[22]!=$TIME[no]||$TIME[no]==0){
			#選手調整
			$sql=mysql_query("SELECT * FROM player_card WHERE player_id='$_COOKIE[id]' FOR UPDATE");
			while ($CD=mysql_fetch_assoc($sql)){
				#全選手疲労回復
				$CD[4]=mt_rand(40,60);
				$CD[5]=0;
				update('player_card',$CD[id],$CD);
				#成績更新
				#野手：今季→昨季、全体＝前全体＋今季
				$CD_BR=read_dataL('card_res_b',$CD[id]);
				$CD_BRB=read_dataL('card_res_bb',$CD[id]);
				$CD_BRA=read_dataL('card_res_ba',$CD[id]);
				foreach($CD_BR as $key=>$val){
					if($key!='id'){
						$CD_BRB[$key]=$CD_BR[$key];	#今季を昨季に書き換え
						$CD_BRA[$key]+=$CD_BR[$key];	#全体＝今季＋前全体
						$CD_BR[$key]=0;				#今季データ初期化
					}
				}
				$CD_BR[0]=0;
				update('card_res_b',$CD[id],$CD_BR);
				update('card_res_bb',$CD[id],$CD_BRB);
				update('card_res_ba',$CD[id],$CD_BRA);
				#投手
				$CD_PR=read_dataL('card_res_p',$CD[id]);
				$CD_PRB=read_dataL('card_res_pb',$CD[id]);
				$CD_PRA=read_dataL('card_res_pa',$CD[id]);
				foreach($CD_PR as $key=>$val){
					if($key!='id'){
						$CD_PRB[$key]=$CD_PR[$key];	#今季を昨季に書き換え
						$CD_PRA[$key]+=$CD_PR[$key];	#全体＝今季＋前全体
						$CD_PR[$key]=0;				#今季データ初期化
					}
				}
				$CD_PR[0]=0;
				update('card_res_p',$CD[id],$CD_PR);
				update('card_res_pb',$CD[id],$CD_PRB);
				update('card_res_pa',$CD[id],$CD_PRA);
			}
			#PL更新
			$html_msg="試合登録を完了しました(シーズンを更新しました)";
			$PL[7]=1;
			$PL[22]=$TIME[no];
			update('player',$_COOKIE[id],$PL);
		}else{
			$TIME=read_data('time','time');
			$html_msg="試合登録を完了しました";
			$PL[7]=1;
			$PL[22]=$TIME[no];
			update('player',$_COOKIE[id],$PL);
		}
	}else{#問題あり
		switch($D[check]){
			case 2:
			$html_msg="ベンチの登録人数を確認してください";
			break;
			case 3:
			$html_msg="先発野手を設定してください";
			break;
			case 4:
			$html_msg="打順にエラーがあります、管理者へお伝えください";
			break;
			case 5:
			$html_msg="先発投手を設定してください";
			break;
		}
	}
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#
$disp.=head();
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>試合登録確認</b><blockquote>
<b style="color:red;">$html_msg</b>
</blockquote>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# 試合登録チェック
#----------------------------------------------------------#
function team_reg_checkR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_dataL('player',$_COOKIE[id]);
#--------------------------------------#
#チェック開始
$D[check]=1;
#登録人数確認
$D[pl_reg]=$SET[pl_reg];#登録人数
$sql=mysql_query("SELECT * FROM player_card WHERE player_id='$_COOKIE[id]'");
while ($CD=mysql_fetch_assoc($sql)){
	if($CD[38]){
		$D[pl_reg]--;
	}
}
if($D[pl_reg]<0){$D[check]=2;}
#野手先発登録確認
$TM_DF=explode('!',$PL[23]);
$D[check_btn]=0;
foreach($TM_DF as $key){
	if(data_check('player_card','id',$key)){$D[check_btn]++;}
}
if($D[check_btn]<8){$D[check]=3;}
#打順設定チェック
$TM_BT=explode('!',$PL[24]);
$D[check_btar]=array();
foreach($TM_BT as $no){
	$D[check_btar][$no]=1;
}
for($i=1;$i<=9;$i++){
	if(!$D[check_btar][$i]){
		$D[check]=4;
		break;
	}
}
#ローテーション設定チェック
$TM_ROT=explode('!',$PL[25]);
if(!data_check('player_card','id',$TM_ROT[0])){$D[check]=5;}
#チェック
if($D[check]!=1){
	$PL[7]=0;
	update('player',$_COOKIE[id],$PL);
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#
}
#----------------------------------------------------------#
?>